Bug 168175 - Review request: perl-Algorithm-Dependency - Algorithm::Dependency Perl module
Review request: perl-Algorithm-Dependency - Algorithm::Dependency Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Algorithm...
:
Depends On: 168174 168298
Blocks: FE-ACCEPT 168213
  Show dependency treegraph
 
Reported: 2005-09-13 04:23 EDT by Ralf Corsepius
Modified: 2014-01-21 13:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 03:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Patch addressing review issues (1.53 KB, patch)
2005-09-15 07:52 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Ralf Corsepius 2005-09-13 04:23:10 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Algorithm-Dependency.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Algorithm-Dependency-1.03-1.src.rpm

Description:
Algorithmic framework for implementing dependency tree
Comment 2 Paul Howarth 2005-09-15 07:50:51 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock on FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- no large docs
- docs don't affect runtime
- code, not content
- no desktop file needed
- no scriptlets

Needswork:

- URL for Source0 doesn't work: s/www/search/
- should BR: perl(Params::Util) version 0.05, not version 0.5

Nitpick:

- last changelog entry should be "Thu Sep 15", not "Tue Sep 15"
- add BR: perl(Test::Pod) for better test coverage
Comment 3 Paul Howarth 2005-09-15 07:52:30 EDT
Created attachment 118840 [details]
Patch addressing review issues
Comment 4 Ralf Corsepius 2005-09-16 10:11:15 EDT
Paul, all the stuff with your patch applied (No further changes).

ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Algorithm-Dependency.spec
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Algorithm-Dependency-1.04-2.src.rpm
Comment 5 Paul Howarth 2005-09-16 10:25:14 EDT
Approved.
Comment 6 Lubomir Rintel 2014-01-21 12:52:05 EST
Package Change Request
======================
Package Name: perl-Algorithm-Dependency
New Branches: epel7
Owners: lkundrak

The Fedora maintainer (Ralf Corsepius, corsepiu) is not willing to maintain EPEL packages.
Comment 7 Jon Ciesla 2014-01-21 13:04:39 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.